package m05bSolicitudReservaEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05SolicitudReserva</tt>.
 */
public class m05SolicitudReservaPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the SolicitudReserva idSolicitud, which is the primary key 
   * in table <tt>m05100t00</tt>.
   */
  public Integer idSolicitud;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05SolicitudReservaPK)
    {
      m05SolicitudReservaPK otherKey = (m05SolicitudReservaPK) obj;
      return (this.idSolicitud.intValue() == otherKey.idSolicitud.intValue());
    }
    else
    {
      return false;
    }
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return this.idSolicitud.hashCode();
  }
}